> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metriport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Facility

> Updates a Facility in Metriport where your patients receive care.

## Path Params

<ParamField path="id" type="string" required>
  The ID of your Facility.
</ParamField>

## Body

<Snippet file="facility.mdx" />

## Response

<Snippet file="facility-response.mdx" />

<ResponseExample>
  ```javascript Metriport SDK theme={null}
  import { MetriportMedicalApi, USState } from "@metriport/api-sdk";

  const metriport = new MetriportMedicalApi("YOUR_API_KEY");

  const facility = await metriport.updateFacility({
    id: "018a80c4-292a-7486-a1234-9uiu76yhe234",
    name: "Care Facility, LLC",
    npi: "1234567891",
    tin: "12-3456789",
    active: true,
    address: {
      addressLine1: "2261 Market Street",
      addressLine2: "#4818",
      city: "San Francisco",
      state: USState.CA,
      zip: "94114",
      country: "USA",
    },
  });
  ```
</ResponseExample>

<Snippet file="facility-response-json.mdx" />
